var sortcolumn;													// a tbla ezen oszlop szerint van rendezve
var actcountry;													// az ppen kijellt orszg
var ndash = unescape("%u2013");									// ez van &ndash; helyett a cellkban

function sortTable(column) {
	var b, r, c;
	var newRows;
	
	var table = document.getElementsByTagName("table")[0];		// csak egy tblnk van, azzal dolgozunk
	if (table.rows.length <= 1) return;							// ha egy sor van csak, akkor nem foglalkozunk vele

	// ha volt korbban nyl, akkor azt leszedjk
	if (sortcolumn) {
		var actHeadLink = table.tHead.rows[0].cells[Math.abs(sortcolumn) - 1].firstChild;
		actHeadLink.className = "";
	}

	sortcolumn = column * ((column == sortcolumn) ? -1 : 1);	// ha azonos oszlopra kattintott, akkor megfordtjuk a rendezst
	
	for (b = 0; b < table.tBodies.length; b++) {
		if (table.tBodies[b].rows.length > 1) {					// csak az egy sornl hosszabb rszekkel foglalkozunk
			var newRows = new Array();							// kirtjk az ideiglenes tmbt
			
			for (var r = 0; r < table.tBodies[b].rows.length; r++) {
				newRows[r] = new Array();
				for (c = 0; c < table.tBodies[b].rows[r].cells.length; c++) {
					newRows[r][c] = new Object();
					newRows[r][c].value = table.tBodies[b].rows[r].cells[c].innerHTML;
					newRows[r][c].style = table.tBodies[b].rows[r].cells[c].className;
				}
			}
		
			newRows.sort(sortFn);
		
			for (r = 0; r < table.tBodies[b].rows.length; r++) {
				for (c = 0; c < table.tBodies[b].rows[r].cells.length; c++) {
					table.tBodies[b].rows[r].cells[c].innerHTML = newRows[r][c].value;
					table.tBodies[b].rows[r].cells[c].className = newRows[r][c].style;
				}
			}
		}
	}

	// a kijellt oszlop fejben cserljk a nyilat
	var newHeadLink = table.tHead.rows[0].cells[Math.abs(sortcolumn) - 1].firstChild;
	newHeadLink.className = ((sortcolumn > 0) ? " sortdn" : " sortup");
	newHeadLink.blur();
	
	// jra be kell lltanunk a kijellt orszgra a cskot
	for (var b = 0; b < table.tBodies.length; b++) {
		if (table.tBodies[b].rows.length > 1) {
			for (var r = 0; r < table.tBodies[b].rows.length; r++) {
				table.tBodies[b].rows[r].className = table.tBodies[b].rows[r].className.replace("highlightrow", "");
				
				if (table.tBodies[b].rows[r].cells[0].innerHTML == actcountry)
					table.tBodies[b].rows[r].className += " highlightrow"
			}	
		}
	}
}

function sortFn(a, b) {
	if (Math.abs(sortcolumn) == 1) {
		var aa = removeAccents(a[0].value.toLowerCase());
		var bb = removeAccents(b[0].value.toLowerCase());
	} else {
		var aa = a[Math.abs(sortcolumn) - 1].value;
		var bb = b[Math.abs(sortcolumn) - 1].value;
		
		if (aa == ".." || aa == ndash) {
			aa = (sortcolumn > 0) ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
		} else {
			aa = aa.replace(ndash, "-"); 
			aa = aa.replace(",", "."); 
			aa = aa.replace(" ", ""); 
			aa = aa.replace("&nbsp;", ""); 
			aa = parseFloat(aa);
		}
		
		if (bb == ".." || bb == ndash) {
			bb = (sortcolumn > 0) ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
		} else {
			bb = bb.replace(ndash, "-"); 
			bb = bb.replace(",", "."); 
			bb = bb.replace(" ", ""); 
			bb = bb.replace("&nbsp;", ""); 
			bb = parseFloat(bb);
		}
	}
		
	// ha egyik sem rtk, akkor a rendezs alapja az els oszlop
	if ((aa == Number.POSITIVE_INFINITY || aa == Number.NEGATIVE_INFINITY) && (bb == Number.POSITIVE_INFINITY || bb == Number.NEGATIVE_INFINITY)) {
		ac = removeAccents(a[0].value.toLowerCase());
		bc = removeAccents(b[0].value.toLowerCase());
		return (ac < bc) ? -1 : 1;
	}
	
	if (aa == bb) return 0;
	if (aa < bb)
		return (sortcolumn > 0) ? -1 : 1;
	else
		return (sortcolumn > 0) ? 1 : -1;
}

function removeAccents(str) {
	str = str.replace(//g, "a"); str = str.replace(//g, "e"); str = str.replace(//g, "i");
	str = str.replace(//g, "o"); str = str.replace(//g, "o"); str = str.replace(//g, "o");
	str = str.replace(//g, "u"); str = str.replace(//g, "u"); str = str.replace(//g, "u");
	
	str = str.replace(//g, "A"); str = str.replace(//g, "E"); str = str.replace(//g, "I");
	str = str.replace(//g, "O"); str = str.replace(//g, "O"); str = str.replace(//g, "O");
	str = str.replace(//g, "U"); str = str.replace(//g, "U"); str = str.replace(//g, "U");

	return str;
}

// tbla sorok kiemelse
function activeRow(row) {
	row.className = row.className + " activerow" ;
}

function deactiveRow(row) {
	style = row.className;
	row.className = row.className.replace("activerow", "");
}

function selectRow(row) {
	if (row.cells.length == 1)									// franciacmekre ne kattintson
		return;
		
	var newcountry = row.cells[0].innerHTML;
	var table = document.getElementsByTagName("table")[0];

	for (var b = 0; b < table.tBodies.length; b++) {
		if (table.tBodies[b].rows.length > 1) {
			for (var r = 0; r < table.tBodies[b].rows.length; r++) {
				table.tBodies[b].rows[r].className = table.tBodies[b].rows[r].className.replace("highlightrow", "");
				
				if (table.tBodies[b].rows[r].cells[0].innerHTML == newcountry && newcountry != actcountry)
					table.tBodies[b].rows[r].className += " highlightrow"
			}	
		}
	}
	
	actcountry = (newcountry != actcountry) ? newcountry : null;
}

function initPage() {
	// egy tblnk van, azzal dolgozunk
	var table = document.getElementsByTagName("table")[0];

	// becskozzuk a tblt s levesszk a fehr kereteket
	for (var b = 0; b < table.tBodies.length; b++) {
		for (var r = 0; r < table.tBodies[b].rows.length; r++) {
			var style = table.tBodies[b].rows[r].className;
			table.tBodies[b].rows[r].className = style + ((r % 2 == 0) ? " odd" : " even");

			table.tBodies[b].rows[r].onmouseover = function() { activeRow(this); }
			table.tBodies[b].rows[r].onmouseout  = function() { deactiveRow(this); }
			table.tBodies[b].rows[r].onclick     = function() { selectRow(this); }
			
			for (var c = 0; c < table.tBodies[b].rows[r].cells.length; c++) {
				table.tBodies[b].rows[r].cells[c].style.borderBottom = "none";
			}
		}
	}

	// a fejlcre linkeket helyeznk a rendezshez
	for (var i = 0; i < table.tHead.rows[0].cells.length; i++) {
		if (table.tHead.rows[0].cells[i].childNodes.length > 0) {
			var newLink = document.createElement("a");
			newLink.href = "javascript:sortTable(" + (i+1) + ")";
		
			var childes = table.tHead.rows[0].cells[i].childNodes;
			for (var j = 0; j < childes.length; j++)
				newLink.appendChild(childes[j]);
		
			table.tHead.rows[0].cells[i].appendChild(newLink);
		}
	}

	// az EU-s tbla j ablakban nyljon
	document.getElementById("tgm").firstChild.target = "_blank";
}

// esemny hozzadsa az oldalhoz
function addLoadEvent(func)
{	
	var oldonload = window.onload;
	if (typeof window.onload != "function") {
    	window.onload = func;
	} else {
		window.onload = function() {
			oldonload();
			func();
		}
	}
}

addLoadEvent(initPage); 			// inicializljuk az oldalak funkciit
